%global provider	github
%global provider_tld	com
%global project		jmhodges
%global repo		levigo
%global commit		253793d7b92ea4d3a5e2e4368691c52e70f2c6fc

%global import_path	%{provider}.%{provider_tld}/%{project}/%{repo}
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%global debug_package	%{nil}

Name:		golang-%{provider}-%{project}-%{repo}
Version:	0
Release:	0.2.git%{shortcommit}%{?dist}
Summary:	Go wrapper for LevelDB
License:	MIT
URL:		http://%{import_path}
Source0:	https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
ExclusiveArch:	%{ix86} x86_64 %{arm}

%description
%{summary}.

%package devel
BuildRequires:	golang >= 1.2.1-3
BuildRequires:	leveldb-devel >= 1.7
Requires:	golang >= 1.2.1-3
Requires:	leveldb-devel >= 1.7
Summary:	Go wrapper for LevelDB
Provides:	golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}.

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav examples %{buildroot}/%{gopath}/src/%{import_path}/

%check
# check fails (cannot create db in koji), on local machine test passes

%files devel
%doc LICENSE README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/examples
%{gopath}/src/%{import_path}/examples/*.go
%{gopath}/src/%{import_path}/*.go

%changelog
* Tue Oct 14 2014 jchaloup <jchaloup@redhat.com> - 0-0.2.git253793d
- BuildArch to ExclusiveArch

* Thu Sep 25 2014 Jan Chaloupka <jchaloup@redhat.com> - 0-0.1.git253793d
- First package for Fedora


